Description

Following the idea of using bounding boxes for xmap constructions we could consider to implement a stripe-set form of all involved

ingredients.

This avoids vectorization to death of big compact index lists (better scalability). This is suitable for a one-dim distributed directory

which might not scale perfectly but probably is more cost effective for medium sized problems.

History

#1 - 05/23/2014 05:28 PM - Thomas Jahns

- Assignee set to Thomas Jahns

- % Done changed from 0 to 30

I have the base of this (a striped version of xt_xmap_intersection_new) in the making right now. But some method to decide which to use from either

xt_xmap_all2all_new or xt_xmap_dist_dir_new is still needed. In the case of xt_xmap_all2all_new an additional logical reduction on whether any

process has a big index list is probably not prohibitive. This might differ for xt_xmap_dist_dir_new.

#2 - 07/30/2014 06:33 PM - Thomas Jahns

- % Done changed from 30 to 100

This is now completed in master commit:694a0623e385835878e9e4c81bf761041929b98f and should give much improved performance whenever

data on a single task becomes large. The changes include a tuning parameter in enum CHEAP_VECTOR_SIZE (see

source:"src/xt_idxlist_internal.h@694a0623e385835878e9e4c81bf761041929b98f#L113")

#3 - 11/28/2016 11:05 AM - Thomas Jahns

- Status changed from New to Resolved

#4 - 02/24/2022 12:19 PM - Thomas Jahns

- Status changed from Resolved to Closed
